Proyecto de generación de pods de error: installation de pods

Tengo un proyecto de trabajo que utiliza cápsulas de cocoa. Intenté 'pod install' y obtuve este extraño error:

Generating Pods project - Creating Pods project - Adding source files to Pods project - Adding frameworks to Pods project - Adding libraries to Pods project - Adding resources to Pods project - Linking headers - Installing targets - Installing target `Pods-NIDropDown` iOS 7.0 - Installing target `Pods-SDWebImage` iOS 7.0 - Installing target `Pods-SQCommonUtils` iOS 7.0 - Installing target `Pods` iOS 7.0 - Running post install hooks - Writing Xcode project file to `Pods/Pods.xcodeproj` 2015-06-27 01:20:37.359 ruby[3841:138874] [MT] DVTAssertions: ASSERTION FAILURE in /Library/Caches/com.apple.xbs/Sources/IDEFrameworks/IDEFrameworks-8123.33/IDEFoundation/Initialization/IDEInitialization.m:590 Details: Assertion failed: _initializationCompletedSuccessfully Function: BOOL IDEIsInitializedForUserInteraction() Thread: <NSThread: 0x7fedd50822b0>{number = 1, name = main} Hints: None Backtrace: 0 0x00000001057f7047 -[DVTAssertionHandler handleFailureInFunction:fileName:lineNumber:assertionSignature:messageFormat:arguments:] (in DVTFoundation) 1 0x00000001057f67d4 _DVTAssertionHandler (in DVTFoundation) 2 0x00000001057f6a40 _DVTAssertionFailureHandler (in DVTFoundation) 3 0x00000001057f69a2 _DVTAssertionFailureHandler (in DVTFoundation) 4 0x0000000106bbf1a9 IDEIsInitializedForUserInteraction (in IDEFoundation) 5 0x000000010ab2ea5d +[PBXProject projectWithFile:errorHandler:readOnly:] (in DevToolsCore) 6 0x000000010ab305e2 +[PBXProject projectWithFile:errorHandler:] (in DevToolsCore) 7 0x00007fff9262af44 ffi_call_unix64 (in libffi.dylib) Abort trap: 6 

No tengo idea de por qué recibí un error Escribiendo el file del proyecto Xcode en Pods/Pods.xcodeproj . Intenté reinstalar las cápsulas de cocoa, pero no lo consigo.

Soy una especie de noob con el desarrollo de iOS, así que cualquier consejo sería bueno.

Tenía este problema trabajando con Xcode 7 beta 2. Establecer xcode-select de nuevo en la versión lanzada de Xcode me ayudó.

Intenta ejecutar esto en el terminal:

 sudo xcode-select -s /Applications/Xcode.app/Contents/Developer 

Luego intente nuevamente la installation de CocoaPods:

 pod install 

Entonces no tuve problemas para volver a la Xcode beta con este command:

 sudo xcode-select -s /Applications/Xcode-beta.app/Contents/Developer 

Parece ser un problema con la serialization del proyecto con Xcode 7. Cocoapods se basa en xcodeproj, que tiene un error con las últimas betas. Han lanzado una versión rápida para abordar el problema. Ejecuta esto en el terminal:

gem install xcodeproj -v 0.24.3

(puede tener que sudo eso)

Para aquellos que obtuvieron el error después de la reciente actualización de Xcode, hice lo anterior y no funcionó hasta que actualicé los pods de cocoa (de la versión 0.36.0):

 sudo gem update 

Esto lo actualizó a 0.38.2 (También he visto references a 0.37.x que tienen problemas)

Simplemente sigue los commands de terminal a continuación. Puede ayudarlo.

 $sudo gem update —system $sudo gem uninstall cocoapods $sudo gem install cocoapods $pod setup $cd <project path> $pod init add files(frameworks)($pod outdated- if already pod exists) $pod install $pod update(if you need) 

Antes de reintentar la "installation de pod", abra una segunda window de terminal y siga el logging de su sistema:

 tail -f /var/log/system.log 

Es posible que se sorprenda de lo que aprende. El mío informó que

pod [20810]: [MT] DVTPlugInLoading: Error al cargar el código del complemento com.apple.dt.dbg.DebuggerFoundation (/Applications/Xcode.app/Contents/PlugIns/DebuggerFoundation.ideplugin), error = Error Domain = NSCocoaErrorDomain Code = 3587 "El package" DebuggerFoundation "no se pudo cargar porque está dañado o falta los resources necesarios." (dlopen_preflight (/Applications/Xcode.app/Contents/PlugIns/DebuggerFoundation.ideplugin/Contents/MacOS/DebuggerFoundation): Biblioteca no cargada: @ rpath / IBAutolayoutFoundation.framework / Versions / A / IBAutolayoutFoundation

Entonces, dado que mi installation de Xcode 7.0.1 a través de la Mac App Store terminó dañada, ninguna de las sugerencias de todos los otros respondedores útiles aquí estaba destinada a funcionar.

Estas cosas nunca surgen cuando tienes time suficiente para solucionarlos a background. Sin duda no es ese el momento para nuestro progtwig de lanzamiento ahora, así que lo que funcionó aquí (OS X 10.10.5, saliendo de Xcode 6.4 para Xcode 7.0.1) fue (y esto es después de haber pedido a App Store reinstalar 7.0.1 )

 rm -Rf /Applications/Xcode.app 

Seguido preguntando a Mac App Store para que reinstale Xcode 7.0.1

Luego pudimos continuar con la actualización de CocoaPods, etc., etc.

sudo xcode-select -r solucionó el problema

Todos sugirieron un problema de xcode, lo que me resolvió fue eliminar todas las gems cocoapods, luego reinstalarlas:

 gem list | grep cocoapods | xargs gem uninstall -aIx gem uninstall xcodeproj